{% extends "base.html" %}

{% block extrahead %}
    {% load staticfiles %}
{% endblock %}

{% block title %}Edit Customer{% endblock %}
{% block customer_prize_active %}active{% endblock %}
{% block parent_customer_a_active %}active{% endblock %}
{% block parent_customer_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
            <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    Edit Customer Prize
                </header>
                <div class="panel-body">
                    <form class="form-horizontal" action="" role="form" method="post"
                          enctype="multipart/form-data">
                        {% csrf_token %}
                        <div class="form-group">
                            <label for="id_name" class="col-lg-2 col-sm-2 control-label">Membership</label>
                            <div class="col-lg-10">
                                <input class="form-control" id="id_name" maxlength="50" name="name" readonly="readonly"
                                       type="text" value="{{ form_info.instance.customer.number }}" required="">
                                <h4 class="text-danger"></h4>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="id_name" class="col-lg-2 col-sm-2 control-label">Name</label>
                            <div class="col-lg-10">
                                {{ form_info.name }}
{#                                <h4 class="text-danger"></h4>#}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="id_email" class="col-lg-2 col-sm-2 control-label">Email</label>
                            <div class="col-lg-10">
                                {{ form_info.email }}
                            </div>
{#                            <div class="col-lg-1">#}
{#                                <button type="button" class="btn btn-primary" id="btnSwitchEmail"#}
{#                                        onclick="switchEditMode('btnSwitchEmail','id_email');" data-toggle="button"#}
{#                                        aria-pressed="false"#}
{#                                        autocomplete="off">#}
{#                                    Enable#}
{#                                </button>#}
{#                            </div>#}
                        </div>
                        <div class="form-group">
                            <label for="id_phone" class="col-lg-2 col-sm-2 control-label">Phone</label>
                            <div class="col-lg-10">
                                {{ form_info.phone }}
                            </div>
{#                            <div class="col-lg-1">#}
{#                                <button type="button" class="btn btn-primary" id="btnSwitchPhone"#}
{#                                        onclick="switchEditMode('btnSwitchPhone','id_phone');" data-toggle="button"#}
{#                                        aria-pressed="false"#}
{#                                        autocomplete="off">#}
{#                                    Enable#}
{#                                </button>#}
{#                            </div>#}
                        </div>
                        <div class="form-group">
                            <label for="id_prize" class="col-lg-2 col-sm-2 control-label">Prize</label>
                            <div class="col-lg-10">
                                <input class="form-control cms_form_number" id="id_prize" name="" readonly="readonly"
                                       type="text" value="{{ form_info.instance.prize }}" required="">

                            </div>
                        </div>
                        <div class="form-group">
                            <label for="id_use_date" class="col-lg-2 col-sm-2 control-label">Used Date</label>
                            <div class="col-lg-10">
                                {{ form_info.use_date }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="account_group" class="col-lg-2 col-sm-2 control-label">Tracking No.</label>
                            <div class="col-lg-10">
                                {{ form_info.tracking_no }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="id_address" class="col-lg-2 col-sm-2 control-label">Address</label>
                            <div class="col-lg-10">
                                {{ form_info.address }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="id_delivery_date" class="col-lg-2 col-sm-2 control-label">Delivery Date</label>
                            <div class="col-lg-10">
                                {{ form_info.delivery_date }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="id_receive_date" class="col-lg-2 col-sm-2 control-label">Receive Date</label>
                            <div class="col-lg-10">
                                {{ form_info.receive_date }}
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="id_status" class="col-lg-2 col-sm-2 control-label">Status</label>
                            <div class="col-lg-10">
                                <select class="form-control" name="status" id="id_status">
                                    <option value="1" {% if form_info.status.value == 1 %}selected{% endif %}>Not Delivery</option>
                                    <option value="2" {% if form_info.status.value == 2 %}selected{% endif %}>Sent</option>
                                    <option value="3" {% if form_info.status.value == 3 %}selected{% endif %}>Received</option>
                                    <option value="4" {% if form_info.status.value == 4 %}selected{% endif %}>Canceled</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group hidden">
                            <div class="col-lg-2">
                                {{ form_info.customer }}
                                {{ form_info.prize }}
                            </div>
                            <div class="col-lg-10">
                                <div class="checkbox checkbox-primary">
                                    <input name="isDelete" id="checkbox-03" class="styled" type="checkbox"
                                           {% if customers.is_delete == 0 %}checked{% endif %}/>
                                    <label for="checkbox-03">
                                        Active
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group bottom-group">
                            <div class="col-lg-offset-2 col-lg-10">
                                <button type="submit" class="btn btn-success">Update
                                </button>
                                <a type="submit" class="btn btn-default" href="{% url 'customers_prize_list' %}">Cancel</a>
                            </div>
                        </div>
                    </form>
                </div>
            </section>
        </div>
    </div>
{% endblock %}

{% block extrafoot %}
    <script type="text/javascript">
        //$('#id_week_days').select2();
        //updateSelect2Noblank(week_days, "id_week_days",1);
        //# Set readonly for special field
        _disable_lst = ["id_email", "id_phone"];
        isDisabled(_disable_lst);
    </script>
{% endblock %}
